#define __LIBRARY__
#include <stdio.h>
#include <string.h>
#include <qdos.h>
#include <sys/socket.h>
#include "qsockets.h"
#include <errno.h>
#include <fcntl.h>

int connect(int s, const struct sockaddr *name, int namelen)
{
    REGS_t in,out;
    int res;

    CHECK_SOCKET(s);
    
    in.D0 = IP_CONNECT;
    in.D1 = namelen;
    in.D3 = -1;
    
    in.A0 = (addreg_t)getchid(s);
    in.A2 = (addreg_t)name;
    res = neterrno(in.A0, qdos3(&in, &out));
    return res;
}

