#include <stdio.h>
#include <string.h>
#include <qdos.h>
#include <sys/socket.h>
#include "qsockets.h"
#include <errno.h>


struct servent  *getservbyname(const char *name, const char *proto)
{
    static char buf[DBUFSIZE];
    struct servent *ptr;
    REGS_t in,out;
    int res;
    int ch;

    if((ch = io_open("sck_", 0)) > 0)
    {
        in.D0 = IP_GETSERVBYNAME;
        in.D1 = (long)proto;
        in.D3 = -1;
        in.A0 = (addreg_t)ch;
        in.A1 = (addreg_t)name;
        in.A2 = (addreg_t)buf;    
        res = neterrno(in.A0, qdos3(&in, &out));
        ptr = (res < 0) ? NULL : buf;
        io_close(ch);
    }
    else
    {
        errno = EINVAL;
        ptr = NULL;
    }

    return ptr;
}
