#define __LIBRARY__
#include <stdio.h>
#include <string.h>
#include <qdos.h>
#include <sys/socket.h>
#include "qsockets.h"
#include <errno.h>
#include <fcntl.h>

int setsockopt(int s, int level, int optname, void *optval, int optlen)
{
    REGS_t in,out;
    int res;

    CHECK_SOCKET(s);
    
    in.D0 = IP_SETOPT;
    in.D1 = optlen;
    in.D2 = level;
    in.D3 = -1;
    
    in.A0 = (addreg_t)getchid(s);
    in.A1 = (addreg_t)optval;
    in.A2 = (addreg_t)optname;
    res = neterrno(in.A0, qdos3(&in, &out));
    return res;
}
