#include <stdio.h>
#include <string.h>
#include <qdos.h>
#include <sys/socket.h>
#include "qsockets.h"
#include <errno.h>


struct hostent  *gethostbyaddr(const char *addr, int len, int type)
{
    static struct hostent h;
    struct hostent *ptr = NULL;
    REGS_t in,out;
    int res;
    int ch;

    if((ch = io_open("sck_", 0)) > 0)
    {
        in.D0 = IP_GETHOSTBYADDR;
        in.A0 = (addreg_t)ch;
        in.A1 = (addreg_t)addr;
        in.A2 = (addreg_t)&h;
        in.D1 = len;
        in.D2 = type;
        in.D3 = -1;
        
        res = neterrno(in.A0, qdos3(&in, &out));
        ptr = (res < 0) ? NULL : &h;
        io_close(ch);
    }
    if(ptr == NULL) errno = EINVAL;
    
    return ptr;
}
